Package org.eclipse.emf.cdo.server.db.mapping

# Interface IListMapping2

All Superinterfaces:
  `IListMapping`

All Known Subinterfaces:
  `IListMapping3`

public interface IListMapping2 extends IListMapping
Extension interface to `IListMapping`.

Since:
  4.1
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`addRangedChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int fromIndex, int toIndex)`
`void`
`addSimpleChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int index)`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

`getDBTables, getFeature, objectDetached, queryXRefs, readChunks, readValues, writeValues`

## Method Details

### addSimpleChunkWhere

void addSimpleChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int index)

### addRangedChunkWhere

void addRangedChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int fromIndex, int toIndex)